> ## Name

> tex1Dbias - 1D texture lookup with bias and optional texel offset.

> ## Synopsis

>     float4 tex1Dbias(sampler1D samp, float4 s)
>     float4 tex1Dbias(sampler1D samp, float4 s, int texelOff)

>     int4 tex1Dbias(isampler1D samp, float4 s)
>     int4 tex1Dbias(isampler1D samp, float4 s, int texelOff)

>     unsigned int4 tex1Dbias(usampler1D samp, float4 s)
>     unsigned int4 tex1Dbias(usampler1D samp, float4 s, int texelOff)

> ## Parameters

> samp
>   Sampler to lookup.
> s.x
>   Coordinates to perform the lookup.
> s.w
>   Level of detail bias value.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup with bias in sampler samp using coordinates s. Level-of-detail bias can be used to artificially blur or sharpen the result of texture sampling.

> ## Profile Support

> tex1Dbias is supported in fragment profiles starting with fp30 and in vertex profiles starting with vp40. Variants with texelOff are only supported in gp4 and newer profiles. Variants with integer samplers are also only suppported in gp4 and newer profiles.

> ## See Also

> tex1D, tex1Dlod, tex1Dcmpbias